Subject: bug#9712: 24.0.50; doc about byte-compiling `defcustom'

From: Stefan Monnier <[email-masked]>
Date: Tue, 11 Oct 2011 01:09:37 -0400

>> The bug is not in the doc but in the behavior.
> That was my feeling, as well.  But I did not expect agreement, based on the
> commented code.

> The bug has been there for multiple major Emacs releases now -
> a decade or so, and appears to have been introduced intentionally.
> If there is no plan to fix it soon, perhaps the info that is in the
> comments should at least be conveyed to users.

The introduction of lexical-binding makes this issue more serious
because this code does not obey the lexical-binding variable (and
escapes the sanity checks of cconv.el, hence occasionally hiding
problems when converting to lexical-binding).

> Alternatively, the code could be uncommented and byte-compiling be let free to
> do what is advertised that it does.  The downside would be showing users the
> constant values in Customize, but that seems like less of a disfunction than
> what we have now.

We need to solve the display issue some other way, yes.

        Stefan